nvme_get_logical_block_size(2)

NAME
nvme_get_logical_block_size - Retrieve block size

SYNOPSIS
int nvme_get_logical_block_size (int fd , __u32 nsid , int *blksize );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace id

blksize
    Pointer to where the block size will be set on success

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.